Get label
curl --request GET \
--url https://api.ship.uniuni.com/prod/client/label/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.ship.uniuni.com/prod/client/label/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.ship.uniuni.com/prod/client/label/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Success",
"code": 0,
"data": {
"headers": {
"Content-Type": "application/pdf",
"Content-Disposition": "attachment; filename=\"UR07240000000004901_shipping_labels_2025-07-31.pdf\""
},
"body": "JVBERi0xLjMKJf////8K..."
}
}Labels
Get label
Retrieves a shipping or batching label as a Base64-encoded PDF.
GET
/
client
/
label
/
{id}
Get label
When
labelType is shipping, the shipment must have been purchased first.body field. To save it as a file:
- Node.js
- Python
const fs = require('fs');
const pdfBuffer = Buffer.from(response.data.body, 'base64');
fs.writeFileSync('label.pdf', pdfBuffer);
import base64
pdf_bytes = base64.b64decode(response["data"]["body"])
with open("label.pdf", "wb") as f:
f.write(pdf_bytes)
Authorizations
API access token generated from the UniUni Platform dashboard.
Path Parameters
The orderNumber (for shipping labels) or batchNumber (for batch labels).
Query Parameters
Type of label to retrieve.
Available options:
shipping, batching Was this page helpful?